export LANG=en_US.utf8

#export GIS_LOCK=$$
#export GRASS_TRUECOLOR=TRUE

if [ z"$GISBASE" = 'z' ]; then
  for grass_installation_dir in /usr/lib/ /usr/lib64 /usr/local; do
    if [ -d $grass_installation_dir/grass${GRASS_VERSION}/ ]; then
       GISBASE=$grass_installation_dir/grass${GRASS_VERSION}/
       break
    fi
  done
  if [ z"$GISBASE" = 'z' ]; then
    echo "GISBASE not found for ${GRASS_VERSION}"
    exit 1
  fi
fi

export GISBASE

export PATH=$PATH:$GISBASE/bin:$GISBASE/scripts
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$GISBASE/lib
export PYTHONPATH="$GISBASE/etc/python:$PYTHONPATH"
export MANPATH=$MANPATH:$GISBASE/man


BASE=`pwd`

export GISDBASE=$BASE
export MAPSET=PERMANENT

if test z"$LOCATION_NAME" != 'z'; then
  echo "GISDBASE: $GISDBASE
  MAPSET: $MAPSET
  LOCATION_NAME: $LOCATION_NAME
  GRASS_GUI: text" > $HOME/.grassrc_od_$LOCATION_NAME
  export GISRC=$HOME/.grassrc_od_$LOCATION_NAME
fi
